[0/1] PPC64 buid error in 19.08
mbox series

Message ID 20190813112843.27072-1-christian.ehrhardt@canonical.com
Headers show
Series
  • PPC64 buid error in 19.08
Related show

Message

Christian Ehrhardt Aug. 13, 2019, 11:28 a.m. UTC
A build of recent DPDK 19.08 on all Ubuntu architectures returned this on ppc64:
  ../drivers/net/mlx4/mlx4_rxtx.c: In function ‘mlx4_tx_burst’:
  ../drivers/net/mlx4/mlx4_rxtx.c:919:14: error: incompatible types when
    initializing type ‘__vector __bool int’ {aka ‘__vector(4) __bool int’}
    using type ‘int’
    919 |   bool tso = txq->priv->tso && (buf->ol_flags & PKT_TX_TCP_SEG);
        |              ^~~
  ../drivers/net/mlx4/mlx4_rxtx.c:938:7: error: used vector type where scalar
    is required
    938 |   if (tso) {
        |       ^~~

Which reminds everyone of the sad caps-lock story [1] which happened on 18.08.
Back then the fix was [2] and a discussion around ppc64 support state
happened, given that it wasn't even build-tested before release.

We might have to have the same discussion again, but for now I provided
the fix for the build fail on mlx4 implemented the same way as it was
done on mlx5 [2].

[1]: https://mails.dpdk.org/archives/dev/2018-August/110472.html
[2]: https://git.dpdk.org/dpdk/commit/?id=725f5dd0bfb50192a2d2341d4cc69084c2c4e03d

Christian Ehrhardt (1):
  net/mlx4: fix build on PPC64

 drivers/net/mlx4/mlx4_utils.h | 10 ++++++++++
 1 file changed, 10 insertions(+)